#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf gpm-1.20.7.tar.bz2
    cd gpm-1.20.7
    ./autogen.sh
    mv install-sh config/
    ./configure --prefix='' --without-ncurses
    make -C src gpm LIBS=-lm
    strip -R .note -R .comment src/gpm
    mkdir -p ../gpm/sbin
    cp src/gpm ../gpm/sbin/
    cd ..
    rm -rf gpm-1.20.7
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
